Subject: RE: Unable to use cpan
From: "David Christensen" <[email-masked]>
To: <[email-masked]>
Cc: "'Andrew DeFaria'" <[email-masked]>
Date: Thu, 20 Aug 2009 08:39:41 -0700
List-Id: <cygwin.cygwin.com>

Andrew DeFaria wrote:
> $ cpan Algorithm::Diff
...
> Error while trying to rename 
> '/home/p6258c/.cpan/sources/modules/03modlist.data.gz.tmp3996' to 
> '/home/p6258c/.cpan/sources/modules/03modlist.data.gz': No such file or directory

My guess is that it is a file system ownership/ permission issue.  Vista is more picky than XP.  Take a look at all the folders down to /home/p6258c/.cpan/sources/modules/ with Windows Explorer -> Properties -> Security and Bash 'ls -l'.  If something looks strange, you might be able to fix it with Windows Explorer, 'chmod', and/or 'chown'.

I try to make sure that I only install and administer Cygwin and Cygwin software while logged in as Administrator.  For Perl modules, I find that Cygwin packages (if available) work better than CPAN.

When one of my Cygwin installs starts acting up, I move C:\cygwin aside and start over -- either with a fresh download, or with an archived copy of C:\cygwin\setup.

HTH,

David

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple